import * as $dara from '@darabonba/typescript';
import { DescribeSnapshotLinksResponseBody } from "./DescribeSnapshotLinksResponseBody";
export declare class DescribeSnapshotLinksResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSnapshotLinksResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
